Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Notification_Strategy Class Reference

Abstract class used for notifying an interested party. More...

`#include <Notification_Strategy.h>`

Inheritance diagram for ACE_Notification_Strategy:

[legend]
Collaboration diagram for ACE_Notification_Strategy:

[legend]
List of all members.

## Public Member Functions
| ACE_Notification_Strategy (ACE_Event_Handler *eh, ACE_Reactor_Mask mask)
| Constructor.
virtual | ~ACE_Notification_Strategy (void)
| Destructor.
virtual int | notify (void)=0
virtual int | notify (ACE_Event_Handler *, ACE_Reactor_Mask mask)=0
ACE_Event_Handler * | event_handler (void)
| Get the event handler.
void | event_handler (ACE_Event_Handler *eh)
| Set the event handler.
ACE_Reactor_Mask | mask (void) const
| Get the reactor mask.
void | mask (ACE_Reactor_Mask m)
| Set the reactor mask.
## Protected Attributes
ACE_Event_Handler * | eh_
| The event handler.
ACE_Reactor_Mask | mask_
| The reactor mask.

## Detailed Description

Abstract class used for notifying an interested party.

A vehicle for extending the behavior of ACE_Message_Queue wrt notification *without subclassing*. Thus, it's an example of the Bridge/Strategy patterns.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Notification_Strategy::ACE_Notification_Strategy | ( | ACE_Event_Handler * | eh,
|  | ACE_Reactor_Mask | mask
| ) |

| Constructor.

ACE_Notification_Strategy::~ACE_Notification_Strategy | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACE_INLINE void ACE_Notification_Strategy::event_handler | ( | ACE_Event_Handler * | eh | ) |

| Set the event handler.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Event_Handler * ACE_Notification_Strategy::event_handler | ( | void |  | ) |

| Get the event handler.

ACE_INLINE void ACE_Notification_Strategy::mask | ( | ACE_Reactor_Mask | m | ) |

| Set the reactor mask.

ACE_INLINE ACE_Reactor_Mask ACE_Notification_Strategy::mask | ( | void |  | ) | const

| Get the reactor mask.

virtual int ACE_Notification_Strategy::notify | ( | ACE_Event_Handler * | ,
|  | ACE_Reactor_Mask | mask
| ) | `[pure virtual]`

| Implemented in ACE_Reactor_Notification_Strategy.

virtual int ACE_Notification_Strategy::notify | ( | void |  | ) | `[pure virtual]`

| Implemented in ACE_Reactor_Notification_Strategy.

## Member Data Documentation

ACE_Event_Handler* ACE_Notification_Strategy::eh_`[protected]`

| The event handler.

ACE_Reactor_Mask ACE_Notification_Strategy::mask_`[protected]`

| The reactor mask.

The documentation for this class was generated from the following files:

- Notification_Strategy.h
- Notification_Strategy.cpp
- Notification_Strategy.inl